package org.poopki.duckdns.user_db;

import org.bukkit.entity.Player;

import java.util.UUID;

public class UserInfo {
    private UUID m_UUID;
    private String m_Name;
    private int m_Nation;
    private int m_Squad;
    private int m_Farm;

    UserInfo(Player p){
        m_UUID = p.getUniqueId();
        m_Nation = 0;
        m_Squad = 0;
        m_Farm = 0;
    }
    public UserInfo(UUID uuid, int Nation, int Squad, int Farm){
        m_UUID = uuid;
        m_Nation = Nation;
        m_Squad = Squad;
        m_Farm = Farm;
    }
    public void JoinNation(int Nation) { m_Nation = Nation; }
    public void JoinSquad(int Squad) { m_Squad = Squad; }
    public void JoinFarm(int Farm) { m_Farm = Farm; }

    public String getUserName(){
        return m_Name;
    }

    public UUID getUserUUID(){
        return m_UUID;
    }


}
